{%extends 'base.html'%}

{%load static%}
{%block content%}
<div class="formjadwal">
    <div class="sched">
        <h1>Masukkan Jadwal</h1>
        <form id = "form" method ="POST" action="{% url 'fill_form' %}">
            {% csrf_token %}
            {{ form.as_p }}
            <br>
            <button type="submit" class="btn btn-primary">Submit</button>
        </form>
        <form method="POST">
                {% csrf_token %}
                <button type="submit" name="delete" class="btn btn-primary">Delete</button>
        </form>
    </div>
    <div class = "fle" style="width:90%; margin-left:5%;">
        <div class="table">
            <table class="table">
                <thead style="font-color = 05386B">
                    <th>Name</th>
                    <th>Date</th>
                    <th>Time</th>
                    <th>Place</th>
                    <th>Type</th>
                </thead>
                <tbody>
                    {% for i in sch %}
                    {% if i.nama_event == null or i.class == null %}
                    <tr class="warning"> {% else %} <tr class="success">
                        {% endif %}
                        <td> {{ i.nama_event }} </td>
                        <td> {{ i.tanggal_waktu_event }} </td>
                        <td> {{ i.waktu_event }} </td>
                        <td> {{ i.tempat_event }} </td>
                        <td> {{ i.kategori_event }} </td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>    
        </div>
    </div>


</div>
{%endblock%}